Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Python_targets 3.3
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
jeffk
Guru
Guru


Joined: 13 Sep 2003
Posts: 597

PostPosted: Thu Apr 11, 2013 6:18 pm    Post subject: Python_targets 3.3 Reply with quote

I would like to use only python 2.7 and python 3.3, skipping any of python 3.0, 3.1, and 3.2. I have the following in make.conf:
Code:
USE_PYTHON="2.7 3.3"
PYTHON_TARGETS="python2_7 python3_3"

I get by with a few custom ebuilds, but generally things are usable. speech-dispatcher is currently giving a few problems.

Code:
 * No Python implementation selected for the build. Please add one
 * of the following values to your PYTHON_TARGETS (in make.conf):
 *
 * python3_2
 * ERROR: app-accessibility/speech-dispatcher-0.8-r2 failed (compile phase):
 *   No supported Python implementation in PYTHON_TARGETS.
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_compile
 *   environment, line 3092:  Called python_copy_sources
 *   environment, line 2607:  Called _python_obtain_impls
 *   environment, line  552:  Called _python_validate_useflags
 *   environment, line  647:  Called die
 * The specific snippet of code:
 *       die "No supported Python implementation in PYTHON_TARGETS."
 *


Any indication of when python3_3 will be officially supported?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum